Package org.globus.gsi.trustmanager

# Interface CertificateChecker

All Known Implementing Classes:
  `CRLChecker`, `DateValidityChecker`, `IdentityChecker`, `SigningPolicyChecker`, `UnsupportedCriticalExtensionChecker`

public interface CertificateChecker
Implementations of this interface will provide some validation logic of certificates.

Since:
  1.0
Version:
  ${version}

## Method Summary

Modifier and Type
Method
Description
`void`
`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Validate the certificate.

## Method Details

### invoke

void invoke(X509Certificate cert, GSIConstants.CertificateType certType) throws CertPathValidatorException
Validate the certificate.

Parameters:
  `cert` - The certificate to validate.
  `certType` - The type of certificate to validate.
Throws:
  `CertPathValidatorException` - If validation fails.